- Qt 6.8
- Qt GUI
- C++ Classes
- QActionEvent
- Qt 6.8.2 Reference Documentation

# QActionEvent Class

The QActionEvent class provides an event that is generated when a QAction is added, removed, or changed. More...

Header: | `#include <QActionEvent>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Inherits: | QEvent

- List of all members, including inherited members
- QActionEvent is part of Event Classes.

## Public Functions

| QActionEvent(int type, QAction *action, QAction *before = nullptr)
QAction * | action() const
QAction * | before() const

## Detailed Description

Actions can be added to controls, for example by using QWidget::addAction(). This generates an ActionAdded event, which you can handle to provide custom behavior. For example, QToolBar reimplements QWidget::actionEvent() to create QToolButtons for the actions.

See also QAction, QWidget::addAction(), QWidget::removeAction(), and QWidget::actions().

## Member Function Documentation

### QActionEvent::QActionEvent(int type, QAction *action, QAction *before = nullptr)

Constructs an action event. The type can be ActionChanged, ActionAdded, or ActionRemoved.

action is the action that is changed, added, or removed. If type is ActionAdded, the action is to be inserted before the action before. If before is `nullptr`, the action is appended.

### QAction *QActionEvent::action() const

Returns the action that is changed, added, or removed.

See also before().

### QAction *QActionEvent::before() const

If type() is ActionAdded, returns the action that should appear before action(). If this function returns `nullptr`, the action should be appended to already existing actions on the same widget.

See also action() and QWidget::actions().